ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Builtin.PrimOps.Ids

Description

PrimOp's Ids

Synopsis

- primOpId :: PrimOp -> Id
- allThePrimOpIds :: [Id]

# Documentation

primOpId :: PrimOp -> Id Source #

Get primop id.

Retrieve it from `primOpIds` cache.

allThePrimOpIds :: [Id] Source #

All the primop ids, as a list